Show / Hide Table of Contents

# Class RestConnection

##### Inheritance

System.Object
RestConnection

##### Implements

IConnection

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class RestConnection : IConnection

### Properties

| Improve this Doc View Source

#### Id

Gets the ID of the connection account.

##### Declaration

    public string Id { get; }

##### Property Value

Type | Description
--- | ---
System.String | A System.String representing the unique identifier value of this connection.

| Improve this Doc View Source

#### IntegrationIds

Gets a System.Collections.Generic.IReadOnlyCollection<T> of integration IDs.

##### Declaration

    public IReadOnlyCollection<ulong> IntegrationIds { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyCollection<System.UInt64> | An System.Collections.Generic.IReadOnlyCollection<T> containing System.UInt64 representations of unique identifier values of integrations.

| Improve this Doc View Source

#### IsRevoked

Gets whether the connection is revoked.

##### Declaration

    public bool IsRevoked { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | A value which if true indicates that this connection has been revoked, otherwise false.

| Improve this Doc View Source

#### Name

Gets the username of the connection account.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the name of this connection.

| Improve this Doc View Source

#### Type

Gets the service of the connection (twitch, youtube).

##### Declaration

    public string Type { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the name of this type of connection.

### Methods

| Improve this Doc View Source

#### ToString()

Gets the name of the connection.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String | Name of the connection.

##### Overrides

System.Object.ToString()

### Implements

IConnection